/***************************************************************************
                          logs.h  -  description
                             -------------------
    begin                : Thu Sep 13 19:20:00 EST 2005
    copyright            : (C) 2004-2006 by Sergey Litvinov
    email                : linch@adsl.by
 ***************************************************************************/

/***************************************************************************
 *                                                                         					   *
 *   This program is free software; you can redistribute it and/or modify  		   *
 *   it under the terms of the GNU General Public License as published by  		   *
 *   the Free Software Foundation; either version 2 of the License, or     		   *
 *   (at your option) any later version.                                   				   *
 *                                                                         					   *
 ***************************************************************************/

#ifndef __LOGS_H
#define __LOGS_H

#include <qfile.h>

#define CHN_TYPE 'H'
#define MSG_TYPE 'M'
#define PRV_TYPE 'P'
#define UNKNOWN_TYPE 'U'

class Logs
{
private:
    QFile f;
    QString path;
    int maxsize;
    
    void setup();
	
public:
    Logs(const QString& p, int ms);
    ~Logs();
	
    bool write(const QString &date, const QString &time, const QString &src, int type, const QString &user, const QString &txt);
    bool setPath(const QString& p);
    bool setMaxSize(int s);
};

#endif
