/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

void ChannelsListDlg::add(const QString &chn)
{
    if (!chn.isEmpty())
    {
	QString tmp = chn[0] == '#' ? chn : "#" + chn;
	if (chlistView->findItem(tmp) == 0) chlistView->insertItem(tmp);
    }
}

void ChannelsListDlg::add(const QStringList &list)
{
    for (QStringList::ConstIterator it = list.constBegin(); it != list.constEnd(); ++it)
	add(*it);
}

void ChannelsListDlg::RefreshButton_clicked()
{
    chlistView->clear();
    emit refresh();
}

void ChannelsListDlg::JoinButton_clicked()
{
    for (uint i = 0; i < chlistView->count(); i++)
	if (chlistView->isSelected(i))
	    emit join(chlistView->text(i));
}
